<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\ApontamentoVeiculoUsoPresenter;
use Schaffen\Gef\Repositories\ApontamentoVeiculoUsoRepository;
use Schaffen\Gef\Models\ApontamentoVeiculoUso;
use Schaffen\Gef\Validators\ApontamentoVeiculoUsoValidator;

/**
 * Class ApontamentoVeiculoUsoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class ApontamentoVeiculoUsoRepositoryEloquent extends BaseRepository implements ApontamentoVeiculoUsoRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ApontamentoVeiculoUso::class;
    }

   public function presenter()
   {
      return ApontamentoVeiculoUsoPresenter::class;
   }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
